QGIS Application - Bug report #16588
Cannot save duplicated layer back to GeoPackage
2017-05-21 07:14 AM - Eron Lloyd

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:2.18.7 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24490
Description

When | duplicate a layer in a GeoPackage, | cannot save that layer back to the same GeoPackage. Instead, | get an error message stating
"Export to vector file failed. Error: Cannot overwrite a OGR layer in place." However, if | save the duplicated layer to another GeoPackage,
and then save it back into the original one, it works. The issue consistently occurs each time.

History

#1 - 2017-05-21 10:11 AM - Giovanni Manghi
- Operating System deleted (OS X)
- Status changed from Open to Feedback

To me sounds like is expected. The duplicate layer is not a different datasource from the original one, is exactly the same, just with a another name in the

layer tree.

#2 - 2017-09-25 04:43 PM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

Screen Shot 2017-05-21 at 1.10.32 AM.png 146 KB 2017-05-21 Eron Lloyd

2025-04-27 1/1




